Package com.io7m.jregions.core.unparameterized.volumes

# Interface VolumeValuesBIType

All Superinterfaces:
  `VolumeSizeValuesBIType`

All Known Subinterfaces:
  `PVolumeBIType<S>`, `VolumeBIType`

All Known Implementing Classes:
  `PVolumeBI`, `VolumeBI`

    public interface VolumeValuesBIType
    extends VolumeSizeValuesBIType

A volume with `BigInteger` coordinates.

The coordinates of the volume are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigInteger` | `maximumX()` |
  `java.math.BigInteger` | `maximumY()` |
  `java.math.BigInteger` | `maximumZ()` |
  `java.math.BigInteger` | `minimumX()` |
  `java.math.BigInteger` | `minimumY()` |
  `java.math.BigInteger` | `minimumZ()` |
  `default java.math.BigInteger` | `sizeX()` |
  `default java.math.BigInteger` | `sizeY()` |
  `default java.math.BigInteger` | `sizeZ()` |

- ## Method Details

  - ### minimumX

    @Parameter(order=0) java.math.BigInteger minimumX()
    Returns:
      The value on the X axis of the minimum edge of the box (inclusive)

  - ### maximumX

    @Parameter(order=1) java.math.BigInteger maximumX()
    Returns:
      The value on the X axis of the maximum edge of the box (exclusive)

  - ### minimumY

    @Parameter(order=2) java.math.BigInteger minimumY()
    Returns:
      The value on the Y axis of the minimum edge of the box (inclusive)

  - ### maximumY

    @Parameter(order=3) java.math.BigInteger maximumY()
    Returns:
      The value on the Y axis of the maximum edge of the box (exclusive)

  - ### minimumZ

    @Parameter(order=4) java.math.BigInteger minimumZ()
    Returns:
      The value on the Z axis of the minimum edge of the box (inclusive)

  - ### maximumZ

    @Parameter(order=5) java.math.BigInteger maximumZ()
    Returns:
      The value on the Z axis of the maximum edge of the box (exclusive)

  - ### sizeX

    default java.math.BigInteger sizeX()
    Specified by:
      `sizeX` in interface `VolumeSizeValuesBIType`
    Returns:
      The size of the area on the X axis

  - ### sizeY

    default java.math.BigInteger sizeY()
    Specified by:
      `sizeY` in interface `VolumeSizeValuesBIType`
    Returns:
      The size of the area on the Y axis

  - ### sizeZ

    default java.math.BigInteger sizeZ()
    Specified by:
      `sizeZ` in interface `VolumeSizeValuesBIType`
    Returns:
      The size of the area on the Z axis